Package org.eclipse.cdt.core.dom.parser.c

## Class ANSICParserExtensionConfiguration

- java.lang.Object
- - org.eclipse.cdt.core.dom.parser.c.AbstractCParserExtensionConfiguration
  - - org.eclipse.cdt.core.dom.parser.c.ANSICParserExtensionConfiguration

All Implemented Interfaces:
  `ICParserExtensionConfiguration`

    public class ANSICParserExtensionConfiguration
    extends AbstractCParserExtensionConfiguration

### Constructor Summary

Constructors
`ANSICParserExtensionConfiguration()`

### Method Summary

### Methods inherited from class org.eclipse.cdt.core.dom.parser.c.AbstractCParserExtensionConfiguration

`getBuiltinBindingsProvider, supportAlignOfUnaryExpression, supportAttributeSpecifiers, supportDeclspecSpecifiers, supportExtendedSizeofOperator, supportFunctionStyleAssembler, supportGCCOtherBuiltinSymbols, supportGCCStyleDesignators, supportKnRC, supportParameterInfoBlock, supportStatementsInExpressions, supportTypeofUnaryExpressions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ANSICParserExtensionConfiguration

    public ANSICParserExtensionConfiguration()